#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include "utilities.h"

    /* these arrays need to be updated when data is missing for full days */	
    /*     -1 is used as a terminator for the arrays */
static int missingCrisDays[] = { 708, 709, 710, 711, 712, -1 };

static int missingSisDays[] = { 708, 709, 710, 711, 712, -1 };


    /* sisOrCris = 's' or 'c' */
int isDayWithNoData(int dayOf1996, char sisOrCris) {
    int dayIsLegitimatelyMissingData = 0;	/* assume this is false */

    if ((sisOrCris == 's') || (sisOrCris == 'S')) {
	int i = 0;
	while (missingSisDays[i] != -1) {
	    if (dayOf1996 == missingSisDays[i]) {
		dayIsLegitimatelyMissingData = 1;
		break;
	    }
	    i++;
	}
    }
    else if ((sisOrCris == 'c') || (sisOrCris == 'C')) {
	int i = 0;
	while (missingCrisDays[i] != -1) {
	    if (dayOf1996 == missingCrisDays[i]) {
		dayIsLegitimatelyMissingData = 1;
		break;
	    }
	    i++;
	}
    }

    return dayIsLegitimatelyMissingData;
}
